/// Generated By XFlutter Cli.
///
/// more info: https://medium.com/@aghiadodeh
import 'package:flutter_mvvm_example/ui/screens/home/home_screen.dart';
import 'package:flutter_mvvm_example/ui/screens/initial/initial_screen.dart';
import 'package:flutter_mvvm_example/ui/screens/login/login_screen.dart';
import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';

part 'app_router.gr.dart';

@MaterialAutoRouter(
  replaceInRouteName: 'Page,Route,Screen',
  routes: <AutoRoute>[
    AutoRoute(path: '/home', page: HomeScreen, name: 'Home'),
    AutoRoute(path: '/initial', page: InitialScreen, name: 'Initial', initial: true),
    AutoRoute(path: '/login', page: LoginScreen, name: 'Login'),
  ],
)
// extend the generated private router
class AppRouter extends _$AppRouter {}

final appRouter = AppRouter();
